﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Parsing;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Grid;
using System.Drawing;

namespace WindowsFormsApplication5
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            PdfDocument doc = new PdfDocument();
            PdfSection section1 = doc.Sections.Add();
            //Adding pages
            PdfPage page = section1.Pages.Add();
            PdfPage page1 = section1.Pages.Add();
            PdfPage page2 = section1.Pages.Add();
            PdfFont font = new PdfStandardFont(PdfFontFamily.Helvetica, 8);
            PdfSolidBrush brush = new PdfSolidBrush(Color.Black);
           //iterating pages and passing the page number field value in header grid.
            for (int j = 0; j < doc.Pages.Count; j++)
            {
                PdfGrid grid = new PdfGrid();
                grid.Columns.Add(3);
                grid.Rows.Add();
                grid.Headers.Add(2);

                PdfPageNumberField pageNumber = new PdfPageNumberField(font, brush);
                PdfPageCountField count = new PdfPageCountField(font, brush);
                PdfCompositeField compositeField = new PdfCompositeField(font, brush, "Page NO {0}",pageNumber);
                compositeField.Draw(doc.Pages[j].Graphics);
                PdfGridCellCollection HeaderCell = grid.Headers[0].Cells;
                HeaderCell[0].Value = compositeField;
                HeaderCell[1].Value = "Name";
                HeaderCell[2].Value = "Gender";
                grid.Headers[0].Height = 15;
                grid.Headers[1].Height = 15;
                grid.Draw(doc.Pages[j], new System.Drawing.PointF(0, 0));
            }
            doc.Save("sample.pdf");
            System.Diagnostics.Process.Start("sample.pdf");
            
        }
    }
}
